Eclipse Platform Release 3.7

## org.eclipse.ui.activities
Interface ITriggerPointManager

    public interface ITriggerPointManager

Contains a collection of known trigger points. An instance of this class may be obtained from `IWorkbenchActivitySupport.getTriggerPointManager()`.

This interface is not intended to be extended or implemented by clients.

Since:
  3.1
See Also:
  `ITriggerPoint`
Restriction:
  This interface is not intended to be implemented by clients.

Field Summary
`static String` `UNKNOWN_TRIGGER_POINT_ID` Constant representing the id of an unknown trigger point.

Method Summary
`Set` `getDefinedTriggerPointIds()` Return the set of defined trigger point ids.
`ITriggerPoint` `getTriggerPoint(String id)` Return the trigger point with the given id.

Field Detail

### UNKNOWN_TRIGGER_POINT_ID

    static final String UNKNOWN_TRIGGER_POINT_ID

  Constant representing the id of an unknown trigger point. Used by clients of `WorkbenchActivityHelper.allowUseOf(Object)` for trigger point determination logic.

  See Also:
    Constant Field Values

Method Detail

### getTriggerPoint

    ITriggerPoint getTriggerPoint(String id)

  Return the trigger point with the given id.

  Parameters:
    `id` - the trigger point id
  Returns:
    the trigger point or `null`

### getDefinedTriggerPointIds

    Set getDefinedTriggerPointIds()

  Return the set of defined trigger point ids.

  Returns:
    the defined ids. Never `null` but may be empty.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.